// You have generated a new plugin project without
// specifying the `--platforms` flag. A plugin project supports no platforms is generated.
// To add platforms, run `flutter create -t plugin --platforms <platforms> .` under the same
// directory. You can also find a detailed instruction on how to add platforms in the `pubspec.yaml` at https://flutter.dev/docs/development/packages-and-plugins/developing-packages#plugin-platforms.

import 'package:flutter/material.dart';
import 'package:navigation_tabbar/enums/animation_type.dart';
import 'package:navigation_tabbar/enums/navigation_tab_bar_style.dart';
import 'package:navigation_tabbar/enums/tab_indicator_style.dart';
import 'package:navigation_tabbar/model/tab_item.dart';
import 'package:navigation_tabbar/widget/tab_widget_item.dart';

// ignore: must_be_immutable
class NavigationTabBar extends StatefulWidget {
  double tabHeight;
  Color backgroundColor;
  Color tabIndicatorColor;
  Color tabUnSelectedColor;
  Color tabSelectedColor;
  double tabIndicatorHeight;
  double tabBorderRadius;
  TabIndicatorStyle tabIndicatorStyle;
  NavigationTabBarStyle tabBarStyle;
  List<TabItem> tabs;
  double fontSize;
  double iconSize;
  int tabIndex;
  Function(int index) onTap;
  AnimationType animationType;
  // ignore: use_key_in_widget_constructors
  NavigationTabBar(
      {Key? key,
      this.tabHeight = 56,
      this.tabBorderRadius = 5,
      this.backgroundColor = Colors.white,
      this.tabIndicatorColor = Colors.grey,
      this.tabIndicatorHeight = 2,
      this.tabIndex = 0,
      required this.tabs,
      this.fontSize = 10,
      this.iconSize = 24,
      this.tabSelectedColor = Colors.black,
      this.tabUnSelectedColor = Colors.grey,
      this.tabBarStyle = NavigationTabBarStyle.icon,
      this.animationType = AnimationType.none,
      required this.onTap,
      this.tabIndicatorStyle = TabIndicatorStyle.none})
      : super();

  @override
  _NavigationTabBarState createState() => _NavigationTabBarState();
}

class _NavigationTabBarState extends State<NavigationTabBar> {
  int tabIndex = 0;
  @override
  Widget build(BuildContext context) {
    return Container(
      height: widget.tabHeight,
      decoration: BoxDecoration(
        color: widget.backgroundColor,
      ),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceEvenly,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: widget.tabs
            .map((e) => TabWidgetItem(
                  item: e,
                  currentIndex: tabIndex,
                  onTap: () {
                    tabIndex = widget.tabs.indexOf(e);
                    setState(() {});
                    widget.onTap(
                      widget.tabs.indexOf(e),
                    );
                  },
                  tabIndex: widget.tabs.indexOf(e),
                  tabBar: widget,
                ))
            .toList(),
      ),
    );
  }
}
